# Module replication

- Description
- Data Types
- Function Index
- Function Details

Implementation of replication as redundancy strategy.

Copyright © 2014-2016 Zuse Institute Berlin,

Version: $Id$

Authors: Jan Skrzypczak (`skrzypczak@zib.de`).

## Description

Implementation of replication as redundancy strategy

## Data Types

### client_value()

    client_value() = any()

## Function Index

collect_read_value/2 |
collect_read_value/3 |
get_keys/1 |
get_read_value/2 |
quorum_accepted/2 |
quorum_denied/2 |
write_values_for_keys/2 |

## Function Details

### get_keys/1

    get_keys(Key :: rt_chord:key()) -> [rt_chord:key()]

### write_values_for_keys/2

    write_values_for_keys(Keys :: [rt_chord:key()],
                          WriteValue :: client_value()) ->
                             [client_value()]

### quorum_accepted/2

    quorum_accepted(Key :: rt_chord:key(), AccCount :: integer()) ->
                       boolean()

### quorum_denied/2

    quorum_denied(Key :: rt_chord:key(), DeniedCount :: integer()) ->
                     boolean()

### collect_read_value/2

    collect_read_value(NewValue :: client_value(),
                       DataType :: module()) ->
                          client_value()

### collect_read_value/3

    collect_read_value(Collected :: client_value(),
                       NewValue :: client_value(),
                       DataType :: module()) ->
                          client_value()

### get_read_value/2

    get_read_value(ReadValue :: client_value(),
                   ReadFilter :: prbr:read_filter()) ->
                      client_value()

Generated by EDoc, Feb 29 2016, 16:12:13.